#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-1BZYUObZ2qA1FNZt6KOcGW
key:                  hOpenPGP-2.9.8-1BZYUObZ2qA1FNZt6KOcGW
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  c45b6d698094723276a92f365536d8b7
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-1BZYUObZ2qA1FNZt6KOcGW
depends:
    aeson-2.1.2.1-7MxCVi0kerx5YLDSk2pLUu
    asn1-encoding-0.9.6-EKPrTCZn1G6HDPItyOch7M
    attoparsec-0.14.4-6bGZjP6ZyLf9ECb8I9ykxo base-4.16.4.0
    base16-bytestring-1.0.2.0-76eymd6MufwE29P3zGwRzk
    bifunctors-5.6-KuASNqxtKUR7aVRVKsx7l0 binary-0.8.9.0
    binary-conduit-1.3.1-8DkFJP8qEUc36Y4J8fbz7m bytestring-0.11.4.0
    bz2-1.0.1.0-KhpjhPZFl1OEIYfUdpBfi2
    conduit-1.3.5-LloaTX3XTonCMTqxjFyITj
    conduit-extra-1.3.6-LEnB9jEsP327dg5JWzsMOP containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-ALX3fAyHHVJ93H0nGZJayV
    errors-2.3.0-JScrXa1wE0DJW8IbvPpcrj
    hashable-1.4.3.0-CcD3sjCyxJjIKHS9bT8WC1
    incremental-parser-0.5.1-Ct2ypeRUAy0HItOKpvhhm9
    ixset-typed-0.5.1.0-7mlJmR4dZ3bDga86muThP0
    lens-5.2.3-FNkYU5E5R9aJRCIGH5TmfH
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1-6fRyZEd8ApN5UJUqjYNdtN
    network-uri-2.6.4.2-5y0AIyDuR8E3EBg3ECdJwW
    openpgp-asciiarmor-0.1.2-1IX68z2FScWI0wmN0gG5B0
    prettyprinter-1.7.1-6zcUql76AN533j56n6Lf6I
    resourcet-1.2.6-Eh9ERdfgEXDnlhBOVqt0T
    split-0.2.5-zExecrhLEOISLf41AL8ch text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-47hukrr2IXRFDwJY5DTAr2
    zlib-0.6.3.0-CuOfmwU5jk1K3ZSakxXyEL

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

